
package de.ivu.elect.business.wahlvorschlag.boundary;

import java.util.List;

import javax.ejb.Stateless;
import javax.inject.Inject;

import de.ivu.elect.business.dokumente.entity.DokumentVorlageArt;
import de.ivu.elect.business.gebietsbaum.boundary.GebietDAO;
import de.ivu.elect.business.gebietsbaum.entity.Gebiet;

@Stateless
public class WahlvorschlaegeNachGebietDokumentGenerator extends AbstractWahlvorschlaegeDokumentGenerator<List<Gebiet>, WahlvorschlaegeDokumentContext> {

  @Inject
  private transient GebietDAO gebietDAO;

  public WahlvorschlaegeNachGebietDokumentGenerator() {
    super();
  }

  @Override
  public DokumentVorlageArt getDokumentVorlageArt() {
    return DokumentVorlageArt.WAHLVORSCHLAEGE_NACH_GEBIET;
  }

  @Override
  protected List<Gebiet> attach(List<Gebiet> templates, WahlvorschlaegeDokumentContext context) {
    return gebietDAO.attachAll(templates);
  }
}
